GUILE_MODULES = system/ffi.scm
GUILE_MODULES += syntax/implicit.scm
GUILE_MODULES += syntax/record.scm
GUILE_MODULES += syntax/functional.scm
GUILE_MODULES += syntax/export.scm
GUILE_MODULES += ice-9/decorate.scm
GUILE_MODULES += ice-9/promote.scm
GUILE_MODULES += gnu/bash.scm

GUILE_OBJECTS = $(patsubst %.scm, %.go, $(GUILE_MODULES))
EXTRA_DIST = $(GUILE_MODULES)
CLEANFILES = $(GUILE_OBJECTS)

guile_modulesdir = @GUILE_SITE@
nobase_guile_modules_DATA = $(GUILE_MODULES)

guile_objectsdir = @GUILE_SITE_CCACHE@
nobase_guile_objects_DATA = $(GUILE_OBJECTS)

%.go: %.scm
	GUILE_LOAD_PATH="@abs_top_srcdir@/lisp" @GUILD@ compile $< -o $@

all-local: $(GUILE_OBJECTS)

install-data-local:
	@MKDIR_P@ $(DESTDIR)/@GUILE_SITE@
